# Uses of Enum Class
java.lang.management.MemoryType

Packages that use MemoryType
Package
Description
java.lang.management
Provides the management interfaces for monitoring and management of the Java virtual machine and other components in the Java runtime.

## Uses of MemoryType in java.lang.management

Methods in java.lang.management that return MemoryType
Modifier and Type
Method
Description
`MemoryType`
MemoryPoolMXBean.`getType()`
Returns the type of this memory pool.
`static MemoryType`
MemoryType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MemoryType[]`
MemoryType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.